## net.sf.saxon.dom
Class DOMNodeList

    java.lang.Object
      net.sf.saxon.dom.DOMNodeList

All Implemented Interfaces:
  NodeList

    public final class DOMNodeList

extends Object
implements NodeList

This class wraps a list of nodes as a DOM NodeList

Constructor Summary
`DOMNodeList(List<Node> extent)` Construct an node list that wraps a supplied list of DOM Nodes.

Method Summary
`static DOMNodeList` `checkAndMake(SequenceExtent extent)` Construct an node list that wraps a supplied SequenceExtent, checking that all the items in the sequence are wrappers around DOM Nodes
`int` `getLength()` return the number of nodes in the list (DOM method)
`Node` `item(int index)` Return the n'th item in the list (DOM method)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMNodeList

    public DOMNodeList(List<Node> extent)

  Construct an node list that wraps a supplied list of DOM Nodes.

Method Detail

### checkAndMake

    public static DOMNodeList checkAndMake(SequenceExtent extent)
                                    throws XPathException

  Construct an node list that wraps a supplied SequenceExtent, checking that all the items in the sequence are wrappers around DOM Nodes

  Throws:
    `XPathException`

### getLength

    public int getLength()

  return the number of nodes in the list (DOM method)

  Specified by:
    `getLength` in interface `NodeList`

### item

    public Node item(int index)

  Return the n'th item in the list (DOM method)

  Specified by:
    `item` in interface `NodeList`
  Throws:
    `ClassCastException` - if the item is not a DOM Node

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.